#ifndef DMA_H_
#define DMA_H_

#define DMA_SOURCE_SERCOM0  0x02
#define DMA_SOURCE_ADC      0x27 

extern volatile int dma_frame;

void DMA_init(void);
void DMA_add_channel(int source, DmacDescriptor *descriptor);
void DMA_enable(void);

#endif /* DMA_H_ */